Gradle Error: Colliding Attributes The attribute meta-data#android…というエラーの原因と解決方法

UnityプロジェクトをAndroidビルドしようとした時に起こったエラーです。

Gradle Error: Colliding Attributes

The attribute meta-data#android.support.VERSION@value=26.1.0 in :support-compat-26.0.2: collides with another value (See the Console for details)

原因と解決方法

今回のプロジェクトでは、AdMobNCMBを利用していました。

この2つの関連ファイルが競合しており、エラーになったようです。

Projectビューの検索で
「play-services」「support」とそれぞれ検索し、
同じファイルでバージョンだけ異なるファイルがあれば、バージョンの古い方を削除。

これでエラーは解消されました。

Commentsこの記事についたコメント

コメントを残す

メールアドレスが公開されることはありません。 * が付いている欄は必須項目です